## spark-core 2.4.0+cdh6.3.0

=== dev/requirements.txt ===
jira==1.0.3
PyGithub==1.26.0
Unidecode==0.04.19
pypandoc==1.3.3
sphinx
