=== R/pkg/DESCRIPTION ===
Package: SparkR
Type: Package
Version: 2.4.0
Title: R Frontend for Apache Spark
Description: Provides an R Frontend for Apache Spark.
Authors@R: c(person("Shivaram", "Venkataraman", role = c("aut", "cre"),
                    email = "shivaram@cs.berkeley.edu"),
             person("Xiangrui", "Meng", role = "aut",
                    email = "meng@databricks.com"),
             person("Felix", "Cheung", role = "aut",
                    email = "felixcheung@apache.org"),
             person(family = "The Apache Software Foundation", role = c("aut", "cph")))
License: Apache License (== 2.0)
URL: http://www.apache.org/ http://spark.apache.org/
BugReports: http://spark.apache.org/contributing.html
SystemRequirements: Java (== 8)
Depends:
    R (>= 3.0),
    methods
Suggests:
    knitr,
    rmarkdown,
    testthat,
    e1071,
    survival
Collate:
    'schema.R'
    'generics.R'
    'jobj.R'
    'column.R'
    'group.R'
    'RDD.R'
    'pairRDD.R'
    'DataFrame.R'
    'SQLContext.R'
    'WindowSpec.R'
    'backend.R'
    'broadcast.R'
    'catalog.R'
    'client.R'
    'context.R'
    'deserialize.R'
    'functions.R'
    'install.R'
    'jvm.R'
    'mllib_classification.R'
    'mllib_clustering.R'
    'mllib_fpm.R'
    'mllib_recommendation.R'
    'mllib_regression.R'
    'mllib_stat.R'
    'mllib_tree.R'
    'mllib_utils.R'
    'serialize.R'
    'sparkR.R'
    'stats.R'
    'streaming.R'
    'types.R'
    'utils.R'
    'window.R'
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: no
